This is a "plugin" for the Video Disk Recorder (VDR).

Written by:                  Helmut Auer <vdr@helmutauer.de> & Frankowski Ronny <lini@lausitz.net>

Project's homepage:          http://www.vdr-portal.de/board/thread.php?threadid=19111

Latest version available at: http://home.lausitz.net/lini/vdr/

See the file COPYING for license information.

Description: This is a VDR plugin for exec dvd2vdr &  dvd2dvd scripts.

Syntax:
	-P 'dvdconvert [-c cfgfile] [-x scriptfile]'

Beispiel:
	-P 'dvdconvert -c /etc/vdr/plugins/dvdconvert.conf -x /usr/local/bin/dvdconvert.sh'

Bei manchen stürtzt der VDR bei Pluginparameterübergabe mit -c und -x ab! Dann einfach nur:

Syntax:
	-P 'dvdconvert'


Nach dem Verlassen des Setups fuer dieses Plugin wird das skriptfile (dvdconvert.sh) gestartet
Dieses sucht nach Veraenderungen im cfgfile (dvdconvert.conf) und startet dann das Skript mit den Parametern aus dem cfgfile, welches via OSD verändert wurde. Es wird nur das Skript gestartet in dem via OSD Einstellungen verändert wurden!

Aufbau des config  files:

# <script>:<name>:<value>:<type>:<length>:<choices>:<description>:

Typ ist A,I,B oder L

A=Alphabetic:
  length - Laenge in Bytes
  choices - Gueltige Zeichen

I=Integer
  choices - minValue,maxValue
            d.h. 0,5 bedeutet Werte von 0-5

B=Bool
  choices - wert1,wert2

L=Liste
  choices - wert1,wert2.....wertN

Gueltige Zeilen in der dvdconvert.conf beginnen mit:

"/" - Variable ( mit / beginnt der SkriptName )

":" - Submenu ( Steht ein Begriff hinter dem ':' dann ist es der Titel des Submenues,
      falls nur ein ':' vorkommt wird das begonnene Submenu beendet.
      Rekursive Submenues werden nicht unterstuetzt, d.h durch ein neues Submenu wird
      das vorherige beendet.

"-" - Kommentarzeile die so im OSD angezeigt wird

Alle uebrigen Zeilen werden ueberlesen :-)

